> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept a team invitation



## OpenAPI

````yaml /openapi.json post /api/v1/invitations/{token}/accept
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/invitations/{token}/accept:
    post:
      summary: Accept a team invitation
      operationId: acceptTeamInvitation
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptInvitation'
      security:
        - cookieAuth: []
components:
  schemas:
    AcceptInvitation:
      type: object
      properties:
        accepted:
          type: boolean
          enum:
            - true
        workspace:
          type: string
        member:
          type: object
          properties:
            memberId:
              type: string
              minLength: 1
            workspace:
              type: string
            email:
              type: string
              format: email
            displayName:
              type: string
            role:
              type: string
              enum:
                - owner
                - admin
                - member
                - viewer
            status:
              type: string
              enum:
                - active
                - invited
            invitedAt:
              type: string
            joinedAt:
              type: string
              nullable: true
          required:
            - memberId
            - workspace
            - email
            - displayName
            - role
            - status
            - invitedAt
            - joinedAt
          additionalProperties: false
      required:
        - accepted
        - workspace
        - member
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````